curl --request POST \
--url https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verifyimport requests
url = "https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"verified": false,
"errorCode": "CalendarAppDelegationCredentialInvalidGrantError",
"errorMessage": "User might not exist in Google Workspace",
"impersonatedEmailMatchesDomain": false
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890/verify",
"error": {
"code": "UnauthorizedException",
"message": "<string>"
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890/verify",
"error": {
"code": "ForbiddenException",
"message": "<string>"
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890/verify",
"error": {
"code": "NotFoundException",
"message": "<string>"
}
}Verify a delegation credential's workspace setup
Runs the same Google Workspace / Microsoft 365 check as enabling the credential, impersonating the authenticated user, without changing the credential. Works whether or not the credential is enabled. A failed check is returned as verified: false with the reason, not as an error. Required membership role: org admin. PBAC permission: organization.update. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control
curl --request POST \
--url https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verifyimport requests
url = "https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/organizations/{orgId}/delegation-credentials/{credentialId}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"verified": false,
"errorCode": "CalendarAppDelegationCredentialInvalidGrantError",
"errorMessage": "User might not exist in Google Workspace",
"impersonatedEmailMatchesDomain": false
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890/verify",
"error": {
"code": "UnauthorizedException",
"message": "<string>"
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890/verify",
"error": {
"code": "ForbiddenException",
"message": "<string>"
}
}{
"status": "error",
"timestamp": "2024-04-01T00:00:00.000Z",
"path": "/v2/organizations/123/delegation-credentials/clsx1234567890/verify",
"error": {
"code": "NotFoundException",
"message": "<string>"
}
}Headers
For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Path Parameters
The unique identifier of the organization the delegation credential belongs to
123
The unique identifier of the delegation credential
"clsx1234567890"
Was this page helpful?